package mschmidt.komo.preferences;
/*
 * Class used to initialize default preference values.
 */

import mschmidt.komo.KomoPlugin;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

public class PreferenceInitializer extends AbstractPreferenceInitializer {
	/* (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.
	 * AbstractPreferenceInitializer#initializeDefaultPreferences().
	 */
	public final void initializeDefaultPreferences() {
		IPreferenceStore store = KomoPlugin.getDefault().getPreferenceStore();
		
		// Database Connection Preference Page variables
		store.setDefault(PreferenceConstants.DB_NAME, "<None>");
		store.setDefault(PreferenceConstants.DB_PASSWORD, "");
		store.setDefault(PreferenceConstants.DB_PORT, "5432");
		store.setDefault(PreferenceConstants.DB_SSL, false);
		store.setDefault(PreferenceConstants.DB_STORE_PW, false);
		store.setDefault(PreferenceConstants.DB_URL, "localhost");
		store.setDefault(PreferenceConstants.DB_USER, "postgres");
		store.setDefault(PreferenceConstants.JDBC_PATH, "");
		// Hidden Preference variables
		store.setDefault(PreferenceConstants.SHOW_INTRO, true);
		
		// General Preference Page variables
		store.setDefault(PreferenceConstants.TO_TRAY, true);
		store.setDefault(PreferenceConstants.CONFIRM_EXIT, true);
	}
}

